<div *ngFor="let agent of uncheckedAgents">
  <ngb-alert [dismissible]="false"><strong>{{agent.username}}</strong> New agent registered,wait for your permission!!
    <button class="btn btn-outline-success" (click)="gavePermission(agent)">Confirm</button>
    <button class="btn btn-outline-success" (click)="delete(agent)">Delete</button>
  </ngb-alert>
</div>
<button class="btn btn-outline-danger" (click)="logout()"> Logout</button>
<div>
  <form ngForm (ngSubmit)="getData(data)" #data="ngForm">
    <div class="form-group">
      <label for="agents"></label>
      <select id="agents" name="agents" ngModel >
        <option *ngFor="let agent of agentList" value="{{agent.id}}">{{agent.username}}</option>
      </select>
    </div>
    <div class="form-group">
      <label for="sinceDate"></label>
      <input type=date name="sinceDate" id="sinceDate" ngModel="">
    </div>
    <div class="form-group">
      <label for="untilDate"></label>
      <input type=date name="untilDate" id="untilDate" ngModel="">
    </div>
    <button type="submit" class="btn btn-outline-success"> Generate</button>
  </form>
</div>
<app-agent-chart *ngIf="componentVisibility" [achievements]="achievements"></app-agent-chart>
